# How to Contribute

Your contributions would be welcome! How can this project benefit more people?

## Getting Started

To get your environment set up to run StreamPoseML, you'll need Python and Pip installed on your machine. Ideally you'll want an isolated Python environment. If you want to run the web application, a Docker environment is recommended.

## Workflow

Follow the [GitHub Flow Workflow](https://guides.github.com/introduction/flow/):

1.  Fork the project
1.  Check out the `main` branch
1.  Create a feature branch
1.  Write code and tests for your change
1.  From your branch, make a pull request against `https://github.com/mrilikecoding/StreamPoseML`
1.  Get your change reviewed
1.  Wait for your change to be pulled into `https://github.com/mrilikecoding/StreamPoseML/main`
1.  Delete your feature branch

## Tests

Tests should work with `pytest`. Run `python setup.py` to set paths correctly.

## Style

Use `black` with defaults for Python code.

## Issues

When creating an issue please try to ahere to the following format:

    module-name: One line summary of the issue (less than 72 characters)

    ### Expected behavior

    As concisely as possible, describe the expected behavior.

    ### Actual behavior

    As concisely as possible, describe the observed behavior.

    ### Steps to reproduce the behavior

    List all relevant steps to reproduce the observed behavior.

## Documentation

We also welcome improvements to the project tests or project
docs. Please file an [issue](https://github.com/mrilikecoding/StreamPoseML/issues/new).

## First Contributions

If you are a first time contributor, familiarize yourself with the:
* [GitHub Flow Workflow](https://guides.github.com/introduction/flow/)

# License

By contributing your code, you agree to license your contribution under the
terms of the [LICENSE](https://github.com/mrilikecoding/StreamPoseML/blob/main/LICENSE).
